Subject: Re: bash and the missing clear command
From: [email-masked] (RaLe)

18 Feb 1997 23:13:10 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/alternative; boundary="----------19A31A174A350"
X-Sender: RaLe <[email-masked]> (Unverified)
X-Mailer: Mozilla 4.0b1 (Win95; I)
Original-To: [email-masked]
Original-CC: GNU-WIN32 <[email-masked]>
X-Priority: Normal
Original-Sender: [email-masked]

------------19A31A174A350
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset=us-ascii

[email-masked] wrote:
>
> I'm looking for a "clear" command under bash that will clear the
screen in
> the same way that cls does in a DOS session.  All I can think of at
the
> moment is creating a function that echo's the ANSI clear screen
control
> sequence, but would rather not make ansi.sys a requirement for this
> application.
>
> Anyone tackle this problem already?
>
> Doug
>
> --
> -----------------------------------------------------------
> [email-masked]
> -----------------------------------------------------------
>
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".

The way i found to clear the screen is add an alias to the
..bashrc simillar to:
alias clear="command.com /c cls"
this seems to work fine under win95 as long as command.com is in your
PATH, however i'm not shure how you would do it under NT.

------------19A31A174A350
Content-Transfer-Encoding: 7bit
Content-Type: text/html; charset=us-ascii

<HTML><BODY>

<DT>[email-masked] wrote:<BR>
&gt;&nbsp;<BR>
&gt; I'm looking for a &quot;clear&quot; command under bash that will clear
the screen in<BR>
&gt; the same way that cls does in a DOS session.&nbsp; All I can think
of at the<BR>
&gt; moment is creating a function that echo's the ANSI clear screen control<BR>
&gt; sequence, but would rather not make ansi.sys a requirement for this<BR>
&gt; application.<BR>
&gt;&nbsp;<BR>
&gt; Anyone tackle this problem already?<BR>
&gt;&nbsp;<BR>
&gt; Doug<BR>
&gt;&nbsp;<BR>
&gt; --<BR>
&gt; -----------------------------------------------------------<BR>
&gt; [email-masked]<BR>
&gt; -----------------------------------------------------------<BR>
&gt;&nbsp;<BR>
&gt; -<BR>
&gt; For help on using this list, send a message to<BR>
&gt; &quot;[email-masked]&quot; with one line of text: &quot;help&quot;.<BR>
<BR></DT>

<DT>&nbsp;</DT>

<DT>The way i found to clear the screen is add an alias to the .bashrc&nbsp;simillar
to:</DT>

<DT>alias clear=&quot;command.com /c cls&quot;</DT>

<DT>this seems to work fine under win95 as long as command.com is in your
PATH, however i'm not shure how you would do it under NT.</DT>

</BODY>
</HTML>
------------19A31A174A350--

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".